org.bdgenomics.adam.models

# SequenceRecord

###
Related Docs: object SequenceRecord | package models

#### case class SequenceRecord(name: String, length: Long, url: Option[String], md5: Option[String], refseq: Option[String], genbank: Option[String], assembly: Option[String], species: Option[String], referenceIndex: Option[Int]) extends Serializable with Product

Utility class within the SequenceDictionary; represents unique reference name-to-id correspondence

Linear Supertypes
Product, Equals, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceRecord
2. Product
3. Equals
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SequenceRecord(name: String, length: Long, url: Option[String], md5: Option[String], refseq: Option[String], genbank: Option[String], assembly: Option[String], species: Option[String], referenceIndex: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val assembly: Option[String]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(o: Any): Boolean

   Definition Classes
     SequenceRecord → Equals → AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### val genbank: Option[String]

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val length: Long

14. #### val md5: Option[String]

15. #### val name: String

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val referenceIndex: Option[Int]

20. #### val refseq: Option[String]

21. #### val species: Option[String]

22. #### def stripIndex: SequenceRecord

    returns

      Returns a new sequence record with the index unset.

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toSAMSequenceRecord: SAMSequenceRecord

    Converts this sequence record into a SAM sequence record.

    Converts this sequence record into a SAM sequence record.

    returns

      A SAM formatted sequence record.

25. #### def toString(): String

    Definition Classes
      SequenceRecord → AnyRef → Any

26. #### val url: Option[String]

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped